Page MenuHomePhabricator

[AVX512] Adding support for load truncate store of I1
ClosedPublic

Authored by m_zuckerman on Nov 2 2017, 6:24 AM.

Details

Summary

store operation on a truncated memory (load) of vXi1 is poorly supported by LLVM and most of the time end with an assertion.
This patch fixes this issue.

Diff Detail

Repository
rL LLVM

Event Timeline

m_zuckerman created this revision.Nov 2 2017, 6:24 AM
igorb added inline comments.Nov 8 2017, 5:52 AM
lib/Target/X86/X86ISelLowering.cpp
1228 ↗(On Diff #121380)

could you please explain why you set custom in case DQI & AVX512 & VL & BWI and not for AVX512

test/CodeGen/X86/avx512-load-trunc-store-i1.ll
4 ↗(On Diff #121380)

Is it possible to create tests that test SELECT only

igorb accepted this revision.Dec 13 2017, 4:36 AM

LGTM

This revision is now accepted and ready to land.Dec 13 2017, 4:36 AM
This revision was automatically updated to reflect the committed changes.